Bug #2706

Pkg database on Avalon is in incorrect format

Added by zcrownover about 1 month ago. Updated 28 days ago.

Status:FeedbackStart date:08/09/2014
Priority:NormalDue date:
Assignee:-% Done:

100%

Category:Userland
Target version:-

Description

>sudo pkg upgrade
Updating repository catalogue
Avalon repository is up-to-date
All repositories are up-to-date
pkg: Repo Avalon needs schema upgrade from 2006 to 2010 but it is opened readonly
pkg: need to re-create repo Avalon to upgrade schema version
Checking for upgrades: 100%
Checking integrity... done (0 conflicting)

This is after freshly upgrading pkg from 1.2 to 1.3.

I'm not marking a version because it'll I believe it will affect anything currently supported that can and will use the new pkg binary.

History

#1 Updated by zcrownover about 1 month ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

This problem has been fixed for 3.8 as well as 3.9 current.

#2 Updated by zcrownover 28 days ago

  • Status changed from Resolved to Feedback

Also available in: Atom PDF